Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 213467 - media-video/vlc fails to compile with net-libs/xulrunner-1.9
Summary: media-video/vlc fails to compile with net-libs/xulrunner-1.9
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: xul-1.9
  Show dependency tree
 
Reported: 2008-03-15 07:07 UTC by Nirbheek Chauhan (RETIRED)
Modified: 2008-06-26 06:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build fail log for media-video/vlc-0.9.0_alpha20080314 (build.log,30.80 KB, text/plain)
2008-03-15 07:09 UTC, Nirbheek Chauhan (RETIRED)
Details
patch hacking around the problem (vlc-xulrunner-1.9.patch,2.34 KB, patch)
2008-06-18 23:20 UTC, Rafał Mużyło
Details | Diff
Build fail log for media-video/vlc-0.9.0_alpha20080314 (build.log,687.89 KB, text/plain)
2008-06-26 06:40 UTC, Vladimir Dolzhenko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nirbheek Chauhan (RETIRED) gentoo-dev 2008-03-15 07:07:14 UTC
Configuere error for media-video/vlc-0.9.0_alpha20080314 USE="xulrunner nsplugin" :

[snip]
checking for FIREFOX... no
checking for mozilla-config... /usr/bin/xulrunner-config
./configure: line 71186: /usr/bin/xulrunner-config: No such file or directory
./configure: line 71418: /usr/bin/xulrunner-config: No such file or directory
./configure: line 71432: /usr/bin/xulrunner-config: No such file or directory
checking mozilla-config.h usability... no
checking mozilla-config.h presence... no
checking for mozilla-config.h... no
checking npapi.h usability... no
checking npapi.h presence... no
checking for npapi.h... no
checking for npruntime.h... no
configure: error: Please install the Mozilla development tools, required headers were not found.

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-video/vlc-0.9.0_alpha20080314/work/vlc-0.9.0-git/config.log
 * 
 * ERROR: media-video/vlc-0.9.0_alpha20080314 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3610:  Called econf 'src_compile' 'src_compile' '--disable-glide' '--enable-a52' '--disable-aa' '--enable-faad' '--enable-alsa' '--disable-altivec' '--disable-arts' '--disable-asademux' '--enable-bonjour' '--disable-fribidi' '--enable-cdda' '--enable-cddax' '--enable-libcddb' '--disable-libcdio' '--disable-csri' '--enable-daap' '--enable-dbus' '--enable-dbus-control' '--disable-dirac' '--disable-directfb' '--disable-dc1394' '--disable-debug' '--disable-dca' '--disable-dv' '--disable-dvb' '--enable-dvdread' '--enable-dvdplay' '--enable-dvdnav' '--disable-esd' '--enable-fb' '--disable-ffmpeg' '--enable-flac' '--disable-fluidsynth' '--disable-galaktos' '--disable-ggi' '--enable-gnomevfs' '--enable-gnutls' '--enable-hal' '--disable-httpd' '--disable-id3tag' '--disable-jack' '--disable-caca' '--enable-libgcrypt' '--enable-notify' '--disable-libtar' '--disable-lirc' '--disable-live555' '--disable-lua' '--enable-mkv' '--enable-mmx' '--disable-mod' '--enable-mad' '--enable-libmpeg2' '--enable-mpc' '--enable-musicbrainz' '--enable-ncurses' '--enable-mozilla' 'XPIDL=/usr/lib/xulrunner' 'MOZILLA_CONFIG=/usr/bin/xulrunner-config' '--enable-ogg' '--enable-glx' '--enable-opengl' '--disable-optimize-memory' '--disable-oss' '--enable-png' '--disable-portaudio' '--enable-pulse' '--disable-pvr' '--enable-qt4' '--disable-rtsp' '--disable-realrtsp' '--enable-smb' '--enable-sdl' '--disable-sdl-image' '--enable-shout' '--enable-skins2' '--enable-speex' '--enable-sse' '--enable-sout' '--enable-svg' '--enable-svgalib' '--disable-taglib' '--enable-theora' '--enable-freetype' '--disable-twolame' '--disable-upnp' '--disable-v4l' '--disable-v4l2' '--enable-vcd' '--disable-vcdx' '--enable-vorbis' '--enable-loader' '--enable-wxwidgets' 'WX_CONFIG=/usr/lib/wx/config/gtk2-unicode-release-2.6' '--enable-x11' '--enable-screen' '--enable-x264' '--disable-xinerama' '--enable-libxml2' '--enable-xosd' '--enable-xvideo' '--disable-xvmc' '--disable-zvbi' '--disable-libvc1' '--disable-snapshot' '--disable-growl' '--disable-optimizations' '--enable-utf8' '--enable-libtool' '--enable-fast-install'
 *               ebuild.sh, line  513:  Called die
 * The specific snippet of code:
 *   			die "econf failed"
 *  The die message:
 *   econf failed
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-video/vlc-0.9.0_alpha20080314/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-video/vlc-0.9.0_alpha20080314/temp/environment'.
 * 
 * GNU info directory index is up-to-date.

----

If this package cannot be fixed to work with xulrunner 1.9, it should be made to depend on =net-libs/xulrunner-1.8* or net-libs/xulrunner:1.8 (EAPI=1)

The build.log is attached in the comment below
Comment 1 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-03-15 07:09:16 UTC
Created attachment 146196 [details]
Build fail log for media-video/vlc-0.9.0_alpha20080314 

build.log
Comment 2 Rafał Mużyło 2008-06-18 23:20:10 UTC
Created attachment 157517 [details, diff]
patch hacking around the problem

With this hack, vlc plugin builds and 'ldd -r' on it doesn't show any undefined symbols.
It's meant for vlc-0.9.0_alpha20080524.
Comment 3 Rafał Mużyło 2008-06-18 23:22:30 UTC
I dropped the libs, cause plugin doesn't seem to to be using them,
just the headers.
Comment 4 Rafał Mużyło 2008-06-21 23:35:46 UTC
OK, finally git of vlc got hit by a real fix.
It's at http://git.videolan.org/?p=vlc.git;a=commitdiff;h=4eb14b4abd9c60d76c0e7fa9f12516b70b2fef2b#patch1
Please, add to the tree.
Comment 5 Alexis Ballier gentoo-dev 2008-06-25 15:14:04 UTC
(In reply to comment #4)
> OK, finally git of vlc got hit by a real fix.
> It's at
> http://git.videolan.org/?p=vlc.git;a=commitdiff;h=4eb14b4abd9c60d76c0e7fa9f12516b70b2fef2b#patch1
> Please, add to the tree.
> 

yes, I forgot about it, its good now ;)
Comment 6 Vladimir Dolzhenko 2008-06-26 06:40:25 UTC
Created attachment 158469 [details]
Build fail log for media-video/vlc-0.9.0_alpha20080314 

make[5]: *** No rule to make target `../../libs/srtp/libvlc_srtp.la', needed by `librtp_plugin.la'.  Stop.
Comment 7 Vladimir Dolzhenko 2008-06-26 06:41:15 UTC
Portage 2.2_rc1 (default-linux/x86/2007.0, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.24-tuxonice-r5 i686)
=================================================================
System uname: Linux-2.6.24-tuxonice-r5-i686-Intel-R-_Core-TM-2_CPU_T5600_@_1.83GHz-with-glibc2
Timestamp of tree: Thu, 26 Jun 2008 04:03:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r13, 2.5.2-r5
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.1-r2
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r2
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=prescott -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=prescott -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="C"
LC_ALL=""
LDFLAGS=""
LINGUAS="en ru en_GB"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="7zip aac acl acpi alsa amr amrnb amrr artswrappersuid athena audiofile bash-completion bcmath berkdb bindist bluetooth browserplugin bzip2 bzlib c++ cddb chardet cli cracklib crypt cscope curl dbus dga divx djvu dri dvdnav expat extras fbcon ffmpeg fftw flac freetype fuse gdbm gif glib glitz glut gmail gnokii gnome-keyring gpm gstreamer gvim h323 hal hvm iconv id3 id3tag imagemagick imlib isdnlog ithreads jabber jai java java5 javascript jikes jingle jpeg jpeg2k kqemu laptop lcms libnotify libsamplerate libwww matroska mbrola md5sum midi mime ming mjpeg mmx mng mozbranding mozcalendar mozctl mozdevelop mozdomi mozilla moznocompose moznoirc moznomail moznopango mozsvg mozxmlterm mp3 mpeg4 mplayer mppe-mppc mudflap musepack native ncurses network networkmanager nls nptl nptlonly nsplugin ogg openal opengl openmp openssh ortp pam pcmcia pcre perl pic plugins png pppd python qt3support radio readline real reflection rtc sasl sdl serial session skins slang socks5 speex spell spl sse sse2 ssl svg svga tcpd theora threads thunar-vfs tiff truetype unicode userlocales v4l v4l2 vcd video vidix vim vim-syntax vlm vorbis wavpack wifi win32codecs winbind wma wmf wxwindows x86 xml2 xorg xpm xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en ru en_GB" USERLAND="GNU" VIDEO_CARDS="i810"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS